Bug 4587 - Digikam crash on previewing MP4 files
: Digikam crash on previewing MP4 files
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: 2014 Fresh R4
Assigned To: Andrey Bondrov
: ROSA Linux Bugs
:
Depends on: 4512
Blocks:
  Show dependency treegraph
 
Reported: 2014-10-27 16:49 MSK by Zeffanyx
Modified: 2014-10-30 20:52 MSK (History)
1 user (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Zeffanyx 2014-10-27 16:49:04 MSK
Description of problem:
When trying to import JPG and MP4 from my phone into my Digikam library, the program crashes when it tries to make a thumbnail for any MP4 file.
Here is the details of the video file (from qmplay2):
Video streams:
Stream 1 - FFMpeg/VAApi, VAApi Writer
codec: h264
size: 1920x1080
aspect ratio: 1.77778
FPS: 30
bitrate: 19396kbps
format: yuv420p
Audio streams:
Stream 1 - FFMpeg, PulseAudio Writer
codec: aac
sample rate: 48000Hz
channels: stereo
bitrate: 256kbps
format: fltp

Version-Release number of selected component (if applicable):
4.3.0


Steps to Reproduce:
1. Open Digikam
2. Go to album where at least one MP4 file exists, or try to import images and proceed to import details (where you can select auto album creation)
3. The program builds previews for JPGs just fine but it crashes as soon as it finds the first MP4 file.

I tried to do rpmbuild --rebuild for digikams.src.rpm, but the problem persists even with these custom-built packages. However, if I compile Digikam from the source tarball (downloaded from their website), using defaults, the resulting build works without this. I mean, that in this case Digikam works with MP4 files perfectly wiithout any crashes.
Some investigation is required - I believe that the problem sits somewhere in Rosa spec for Digikam (maybe)
Comment 1 Andrey Bondrov 2014-10-28 15:30:27 MSK
Should be fixed in 4.4.0.